//
//  ViewController.m
//  DSPhotoEditorSDKDev
//
//  Copyright © 2017 DS Photo Editor. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (IBAction)launchDSPhotoEditor:(UIButton *)sender {
    UIImagePickerController *picker = [[UIImagePickerController alloc] init];
    picker.delegate = self;
    picker.sourceType = UIImagePickerControllerSourceTypePhotoLibrary;
    [self presentViewController:picker animated:YES completion:nil];
}

- (void)imagePickerController:(UIImagePickerController *)picker didFinishPickingMediaWithInfo:(NSDictionary *)info {
    UIImage *original = [info objectForKey:UIImagePickerControllerOriginalImage];
    
    /**     
     You can also pass in an NSArray to hide the tools you don't want as below:
     NSArray *toolsToHide = @[@(TOOL_ORIENTATION), @(TOOL_PIXELATE)];
     **/
    DSPhotoEditorViewController *dsPhotoEditorController = [[DSPhotoEditorViewController alloc] initWithImage:original toolsToHide:nil];
    dsPhotoEditorController.delegate = self;
    [picker presentViewController:dsPhotoEditorController animated:YES completion:nil];
}

- (void)dsPhotoEditor:(DSPhotoEditorViewController *)editor finishedWithImage:(UIImage *)image {
    [self dismissViewControllerAnimated:YES completion:nil];
    
    self.outputImageView.image = image;
}

- (void)dsPhotoEditorCanceled:(DSPhotoEditorViewController *)editor {
    [self dismissViewControllerAnimated:YES completion:nil];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end

