DS Photo Editor SDK TERMS OF SERVICE
Full Legal Agreement

The following terms and conditions (the “Terms”) govern your use of any and all data, text, software, tools, documents and other materials associated with the DS Photo Editor SDK (the “SDK”). By accepting this agreement, or by using or accessing any portion of the SDK, you or the entity or company that you represent are unconditionally agreeing to be bound by the terms, including those available by hyperlink from within this document, and are becoming a party to the Terms. Your continued use of the SDK shall also constitute assent to the Terms. If you do not unconditionally agree to all of the Terms, DO NOT USE OR ACCESS ANY PORTION OF THE SDK. If the terms set out herein are considered an offer, acceptance is expressly limited to these terms. IF YOU DO NOT AGREE TO THE TERMS, YOU MAY NOT USE THE SDK, IN WHOLE OR IN PART.


1. GRANT OF LICENSE.
Subject to the Licensee’s full compliance with all of Terms of this agreement ("Agreement"), Licensor grants Licensee a non-exclusive, revocable, nonsublicensable, nontransferable license to download and use the SDK solely to embed a launchable DS Photo Editor application within Licensee’s mobile or website application (“App”) and to access data from DS Photo Editor SDK developer dashboard in connection with such applications. Licensee may not install or use the SDK for any other purpose without Licensor’s prior written consent.

Licensee shall not use the SDK in connection with or to promote any products, services, or materials that constitute, promote or are used primarily for the purpose of dealing in: spyware, adware, or other malicious programs or code, counterfeit goods, unsolicited mass distribution of email ("spam"), multi-level marketing proposals, hate materials, hacking/surveillance interception/descrambling equipment, libelous, defamatory, obscene, pornographic, abusive or otherwise offensive content, prostitution, body parts and bodily fluids, stolen products and items used for theft, fireworks, explosives, and hazardous materials, government IDs, police items, gambling, non-transferable items such as airline tickets or event tickets, weapons and accessories.


2. PROPRIETARY RIGHTS.
As between Licensor and Licensee, the SDK and all intellectual property rights in and to the SDK are and shall at all times remain the sole and exclusive property of Licensor and are protected by applicable intellectual property laws and treaties. Except for the limited license expressly granted herein, no other license is granted, no other use is permitted and Licensor shall retain all right, title and interest in and to the API and the SDK logos.


3. OTHER RESTRICTIONS.
Except as expressly and unambiguously authorized under this Agreement, Licensee may not (i) copy, rent, lease, sell, transfer, assign, sublicense, disassemble, reverse engineer or decompile (except to the limited extent expressly authorized by applicable statutory law), modify or alter any part of the SDK; (ii) otherwise use the SDK on behalf of any third party. 


4. BRANDING.
Licensee agrees to the following: (i) on every App page that makes use of the DS Photo Editor SDK, Licensee shall display an SDK logo crediting DS Photo Editor SDK; (ii) it shall maintain a clickable link to the following location https://www.dsphotoeditor.com/, prominently in the licensee App whenever the SDK is displayed to the end user. (iii) it may not otherwise use the SDK logo without specific written permission from Licensor; and (iv) any use of the SDK logo on an App page shall be less prominent than the logo or mark that primarily describes the Licensee app, and Licensee’s use of the SDK logo shall not imply any endorsement of the Licensee app or website by DS Photo Editor SDK.

​A premium white-label SDK plan can be provided to Licensee with our logo & brand removed. Certain modifications  may also be allowed under this premium plan. Please contact us for more details if you are interested.
​
​
​5. MODIFICATIONS TO THIS AGREEMENT.
​Licensor reserves the right, in its sole discretion to modify this Agreement at any time by posting a notice to https://www.dsphotoeditor.com/terms-of-service. You shall be responsible for reviewing and becoming familiar with any such modification. Such modifications are effective upon first posting or notification and use of the SDK by Licensee following any such notification constitutes Licensee’s acceptance of the terms and conditions of this Agreement as modified.
​
​
​6. WARRANTY DISCLAIMER.
​The SDK is provided “AS IS” without warranty of any kind. Except to the extent required by applicable law, Licensor disclaims all warranties, whether express, implied or statutory, regarding the SDK, including without limitation any and all implied warranties of merchantability, accuracy, results of use, reliability, fitness for a particular purpose, title, interference with quiet enjoyment, and non-infringement of third-party rights. Further, Licensor disclaims any warranty that licensee’s use of the SDK will be uninterrupted or error free.
​
​In no event shall Licensor be responsible for loss or damages arising from the installation or use of the SDK, including but not limited to any indirect, punitive, special, incidental or consequential damages of any character including, without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses. The entire risk as to the quality and performance of the SDK is borne by you. Should the Software prove defective, you and not the Licensor assume the entire cost of any service and repair.
​
​
​7. SUPPORT AND UPGRADES.
​This Agreement does not entitle Licensee to any support and/or upgrades for the APIs, unless Licensee makes separate arrangements with Licensor and pays all fees associated with such support. Any such support and/or upgrades provided by Licensor shall be subject to the terms of this Agreement as modified by the associated support Agreement.
​
​
​8. LIABILITY LIMITATION.
​Regardless of whether any remedy set forth herein fails of its essential purpose or otherwise, in no event will the licensor, be liable to licensee or to any third party under any tort, contract, negligence, strict liability or other legal or equitable theory for any lost profits, lost or corrupted data, computer failure or malfunction, interruption of business, or other special, indirect, incidental or consequential damages of any kind arising out of the use or inability to use the SDK, even if Licensor has been advised of the possibility of such loss or damages and whether or not such loss or damages are foreseeable. Any claim arising out of or relating to this agreement must be brought within one year after the occurrence of the event giving rise to such claim.
​
​
​9. INDEMNITY.
​Licensee agrees that the Licensor shall have no liability whatsoever for any use Licensee makes of the SDK. Licensee shall indemnify and hold harmless Licensor from any and all claims, damages, liabilities, costs and fees (including reasonable attorneys' fees) arising from Licensee's use of the SDK.
​
​
​10. TERM AND TERMINATION.
​This Agreement shall continue until terminated as set forth in this Section. Either party may terminate this Agreement at any time, for any reason, or for no reason including, but not limited to, if Licensee violates any provision of this Agreement. Any termination of this Agreement shall also terminate the license granted hereunder. Upon termination of this Agreement for any reason, Licensee shall destroy and remove from all computers, hard drives, networks, and other storage media all copies of the SDK, and shall so certify to Licensor that such actions have occurred. Licensor shall have the right to inspect and audit Licensee's facilities to confirm the foregoing.
​
​
​11. MISCELLANEOUS.
​Unless the parties have entered into a written amendment to this agreement that is signed by both parties regarding the SDK, this Agreement constitutes the entire agreement between Licensee and Licensor pertaining to the subject matter hereof, and supersedes any and all written or oral agreements with respect to such subject matter. Licensee may not assign this Agreement, in whole or in part to any third party without the prior written consent of Licensor.
​
​The courts for Licensor’s registered office shall have exclusive jurisdiction over all disputes under and related to this Agreement. Any action or proceeding arising from or relating to this Agreement must be brought in the court for Licensor’s registered office, and each party irrevocably submits to the jurisdiction and venue of such court in any such action or proceeding. The prevailing party in any action arising out of this Agreement shall be entitled to an award of its costs and attorneys’ fees. This Agreement may be amended only by a writing executed by Licensor. If any provision of this Agreement is held to be unenforceable for any reason, such provision shall be reformed only to the extent necessary to make it enforceable.
​
​The failure of Licensor to act with respect to a breach of this Agreement by Licensee or others does not constitute a waiver and shall not limit Licensor’s rights with respect to such breach or any subsequent breaches. This Agreement is personal to Licensee and may not be assigned or transferred for any reason whatsoever (including, without limitation, by operation of law, merger, reorganization, or as a result of an acquisition or change of control involving Licensee) without Licensor's prior written consent and any action or conduct in violation of the foregoing shall be void and without effect. Licensor expressly reserves the right to assign this Agreement and to delegate any of its obligations hereunder.
​
​
​12. THIRD PARTY OPEN-SOURCE COMPONENTS.
​The SDK uses third party components licensed under open source licenses listed in this section. The use of the open-source components is subject to the their separate licensing terms. Licensor disclaims any warranty for the open-source components in the SDK, and Licensor shall not be liable for any use of the open-source components by Licensee.
​com.android.support:appcompat-v7         Apache License, Version 2.0
​com.squareup.picasso:picasso                 Apache License, Version 2.0
​com.android.volley:volley                          Apache License, Version 2.0
​io.reactivex.rxjava2:rxjava                         Apache License, Version 2.0
​io.reactivex.rxjava2:rxandroid:2.0.1          Apache License, Version 2.0
​TOCropViewController by Tim Oliver        The MIT License
​SimpleCropView by Issei Aoki                  The MIT License
​ZDStickerView by Seonghyun Kim           The MIT License
